<?php

namespace App\JsonRpc;

use Hyperf\RpcClient\AbstractServiceClient;
use App\Model\GlobalTable;
use App\Tools\Result;

class FormService extends AbstractServiceClient implements FormServiceInterface
{
    /**
     * 定义对应服务提供者的服务名称
     * @var string
     */
    protected string $serviceName = 'FormService';
    /**
     * 定义对应服务提供者的服务协议
     * @var string
     */
    protected string $protocol = 'jsonrpc-http';

    /**
     * @param array $data
     * @return array|mixed
     */
    public function addGlobalTable(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return array|mixed
     */
    public function getGlobalTableList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return array|mixed
     */
    public function getGlobalTable(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array|mixed
     */
    public function upGlobalTable(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array|mixed
     */
    public function delGlobalTable(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return array|mixed
     */
    public function getGlobalTableFieldList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function addGlobalTableField(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function upGlobalTableField(array $data) 
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function delGlobalTableField(array $data)   
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getGlobalTableField(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getGlobalTableData(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getGlobalTableFieldTypeList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function delGlobalTableData(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getGlobalTableDataById(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function updateGlobalTableData(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getWebGlobalTableFieldList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function addWebGlobalTableData(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
}