<?php

declare(strict_types=1);


use App\Middleware\Auth\FooMiddleware;
use Hyperf\HttpServer\Router\Router;
use App\Controller\FormController;

Router::addGroup(
    '/form', function () {
        //添加全局表单
        Router::post('/addGlobalTable', [FormController::class, 'addGlobalTable']);
        //修改全局表单
        Router::post('/upGlobalTable', [FormController::class, 'upGlobalTable']);
        //查看全局表单 
        Router::get('/getGlobalTable', [FormController::class, 'getGlobalTable']);
        //全局表单列表 
        Router::get('/getGlobalTableList', [FormController::class, 'getGlobalTableList']);
        //删除全局表单
        Router::post('/delGlobalTable', [FormController::class, 'delGlobalTable']);
        //getGlobalTableFieldList
        Router::get('/getGlobalTableFieldList', [FormController::class, 'getGlobalTableFieldList']);
        //添加全局表单字段
        Router::post('/addGlobalTableField', [FormController::class, 'addGlobalTableField']);
        //修改全局表单字段
        Router::post('/upGlobalTableField', [FormController::class, 'upGlobalTableField']);
        //删除全局表单字段
        Router::post('/delGlobalTableField', [FormController::class, 'delGlobalTableField']);
        //获取全局表单字段详情
        Router::get('/getGlobalTableField', [FormController::class, 'getGlobalTableField']);
        //获取表单下面的数据
        Router::get('/getGlobalTableData', [FormController::class, 'getGlobalTableData']);
        //获取表单字段类型列表
        Router::get('/getGlobalTableFieldTypeList', [FormController::class, 'getGlobalTableFieldTypeList']);
        //删除表单下面的数据
        Router::post('/delGlobalTableData', [FormController::class, 'delGlobalTableData']);
        //获取表单下面的数据详情
        Router::get('/getGlobalTableDataById', [FormController::class, 'getGlobalTableDataById']);
        //修改表单下面的数据
        Router::post('/updateGlobalTableData', [FormController::class, 'updateGlobalTableData']);

    },
    ['middleware' => [FooMiddleware::class]]
);

Router::addGroup(
    '/form', function () {
    //全局表单列表
    Router::get('/getWebGlobalTableFieldList', [FormController::class, 'getWebGlobalTableFieldList']);
    //删除全局表单
    Router::post('/addWebGlobalTableData', [FormController::class, 'addWebGlobalTableData']);


},
    ['middleware' => [\App\Middleware\Auth\WebMiddleware::class]]
);
